-- Set some locals
local KeepTheHerbs, namespace = ...
local L = namespace.L

-- ************************************************************
-- ********* Table with all potions and skills to make ********
-- ************************************************************
 
local PotID = {

    118, L["118"], 1, 55, 75, 95,                   -- enUS = [Minor Healing Potion]
    2454, L["2454"], 1, 55, 75, 95,                 -- enUS = [Elixir of Lion's Strength]
    5997, L["5997"], 1, 55, 75, 95,                 -- enUS = [Elixir of Minor Defense]
    3382, L["3382"], 15, 60, 80, 100,               -- enUS = [Weak Troll's Blood Potion]
    2455, L["2455"], 25, 65, 85, 105,               -- enUS = [Minor Mana Potion]
    2456, L["2456"], 40, 70, 90, 110,               -- enUS = [Minor Rejuvenation Potion]
    2458, L["2458"], 50, 80, 100, 120,              -- enUS = [Elixir of Minor Fortitude]
    2457, L["2457"], 50, 80, 100, 120,              -- enUS = [Elixir of Minor Agility]
    4596, L["4596"], 50, 80, 100, 120,              -- enUS = [Discolored Healing Potion]
    858, L["858"], 55, 85, 105, 125,                -- enUS = [Lesser Healing Potion]
    2459, L["2459"], 60, 90, 110, 130,              -- enUS = [Swiftness Potion]
    5631, L["5631"], 60, 90, 110, 130,              -- enUS = [Rage Potion]
    6370, L["6370"], 80, 80, 90, 100,               -- enUS = [Blackmouth Oil]    Is this skill right ???? https://classic.wowhead.com/item=6370
    3383, L["3383"], 90, 120, 140, 160,             -- enUS = [Elixir of Wisdom]
    5996, L["5996"], 90, 120, 140, 160,             -- enUS = [Elixir of Water Breathing]
    6662, L["6662"], 90, 120, 140, 160,             -- enUS = [Elixir of Giant Growth]
    6051, L["6051"], 100, 130, 150, 170,            -- enUS = [Holy Protection Potion]
    6372, L["6372"], 100, 130, 150, 170,            -- enUS = [Swim Speed Potion]
    3384, L["3384"], 110, 135, 155, 175,            -- enUS = [Minor Magic Resistance Potion]
    929, L["929"], 110, 135, 155, 175,              -- enUS = [Healing Potion]
    3385, L["3385"], 120, 145, 165, 185,            -- enUS = [Lesser Mana Potion]
    3386, L["3386"], 120, 145, 165, 185,            -- enUS = [Elixir of Poison Resistance]
    3388, L["3388"], 125, 150, 170, 190,            -- enUS = [Strong Troll's Blood Potion]
    6371, L["6371"], 130, 150, 160, 170,            -- enUS = [Fire Oil]
    3389, L["3389"], 130, 155, 175, 195,            -- enUS = [Elixir of Defense]
    6048, L["6048"], 135, 160, 180, 200,            -- enUS = [Shadow Protection Potion]
    3390, L["3390"], 140, 165, 185, 205,            -- enUS = [Elixir of Lesser Agility]
    6373, L["6373"], 140, 165, 185, 205,            -- enUS = [Elixir of Firepower]
    3391, L["3391"], 150, 175, 195, 215,            -- enUS = [Elixir of Ogre's Strength]
    5634, L["5634"], 150, 175, 195, 215,            -- enUS = [Free Action Potion]
    1710, L["1710"], 155, 175, 195, 215,            -- enUS = [Greater Healing Potion]
    3827, L["3827"], 160, 180, 200, 220,            -- enUS = [Mana Potion]
    3823, L["3823"], 165, 185, 205, 225,            -- enUS = [Lesser Invisibility Potion]
    3824, L["3824"], 165, 190, 210, 230,            -- enUS = [Shadow Oil]
    6049, L["6049"], 165, 210, 230, 250,            -- enUS = [Fire Protection Potion]
    3825, L["3825"], 175, 195, 215, 235,            -- enUS = [Elixir of Fortitude]
    5633, L["5633"], 175, 195, 215, 235,            -- enUS = [Great Rage Potion]
    3826, L["3826"], 180, 200, 220, 240,            -- enUS = [Mighty Troll's Blood Potion]
    8949, L["8949"], 185, 205, 225, 245,            -- enUS = [Elixir of Agility]
    6050, L["6050"], 190, 205, 225, 245,            -- enUS = [Frost Protection Potion]
    6052, L["6052"], 190, 210, 230, 250,            -- enUS = [Nature Protection Potion]
    17708, L["17708"], 190, 210, 230, 250,          -- enUS = [Elixir of Frost Power]
    3828, L["3828"], 195, 215, 235, 255,            -- enUS = [Elixir of Detect Lesser Invisibility]
    8951, L["8951"], 195, 215, 235, 255,            -- enUS = [Elixir of Greater Defense]
    3829, L["3829"], 200, 220, 240, 260,            -- enUS = [Frost Oil]
    10592, L["10592"], 200, 220, 240, 260,          -- enUS = [Catseye Elixir]
    6149, L["6149"], 205, 220, 240, 260,            -- enUS = [Greater Mana Potion]
    8956, L["8956"], 205, 220, 240, 260,            -- enUS = [Oil of Immolation]
    9036, L["9036"], 210, 225, 245, 265,            -- enUS = [Magic Resistance Potion]
    9061, L["9061"], 210, 225, 245, 265,            -- enUS = [Goblin Rocket Fuel]
    9030, L["9030"], 215, 225, 245, 265,            -- enUS = [Restorative Potion]
    4623, L["4623"], 215, 230, 250, 270,            -- enUS = [Lesser Stoneshield Potion]
    3928, L["3928"], 215, 230, 250, 270,            -- enUS = [Superior Healing Potion]
    18294, L["18294"], 215, 230, 250, 270,          -- enUS = [Elixir of Greater Water Breathing]
    9144, L["9144"], 225, 240, 260, 280,            -- enUS = [Wildvine Potion]
    9149, L["9149"], 225, 240, 260, 280,            -- enUS = [Philosophers' Stone]
    11479, L["11479"], 225, 240, 260, 280,          -- enUS = [Transmute: Iron to Gold]
    11480, L["11480"], 225, 240, 260, 280,          -- enUS = [Transmute: Mithril to Truesilver]
    9154, L["9154"], 230, 245, 265, 285,            -- enUS = [Elixir of Detect Undead]
    12190, L["12190"], 230, 245, 265, 285,          -- enUS = [Dreamless Sleep Potion]
    9155, L["9155"], 235, 250, 270, 290,            -- enUS = [Arcane Elixir]
    9172, L["9172"], 235, 250, 270, 290,            -- enUS = [Invisibility Potion]
    9179, L["9179"], 235, 250, 270, 290,            -- enUS = [Elixir of Greater Intellect]
    9088, L["9088"], 240, 255, 275, 295,            -- enUS = [Gift of Arthas]
    9187, L["9187"], 240, 255, 275, 295,            -- enUS = [Elixir of Greater Agility]
    9197, L["9197"], 240, 255, 275, 295,            -- enUS = [Elixir of Dream Vision]
    9206, L["9206"], 245, 260, 280, 300,            -- enUS = [Elixir of Giants]
    9210, L["9210"], 245, 260, 280, 300,            -- enUS = [Ghost Dye]
    13423, L["13423"], 250, 250, 255, 260,          -- enUS = [Stonescale Oil]    !!! Skill can't be right here !!!
    20747, L["20747"], 250, 260, 270, 280,          -- enUS = [Lesser Mana Oil]
    20748, L["20748"], 300, 310, 320, 330,          -- enUS = [Brilliant Mana Oil]
    9264, L["9264"], 250, 265, 285, 305,            -- enUS = [Elixir of Shadow Power]
    9224, L["9224"], 250, 265, 285, 305,            -- enUS = [Elixir of Demonslaying]
    9233, L["9233"], 250, 265, 285, 305,            -- enUS = [Elixir of Detect Demon]
    21546, L["21546"], 250, 265, 285, 305,          -- enUS = [Elixir of Greater Firepower]
    3387, L["3387"], 250, 275, 295, 315,            -- enUS = [Limited Invulnerability Potion]
    13442, L["13442"], 255, 270, 290, 310,          -- enUS = [Mighty Rage Potion]
    13443, L["13443"], 260, 275, 295, 315,          -- enUS = [Superior Mana Potion]
    13445, L["13445"], 265, 280, 300, 320,          -- enUS = [Elixir of Superior Defense]
    13447, L["13447"], 270, 285, 305, 325,          -- enUS = [Elixir of the Sages]
    17187, L["17187"], 275, 275, 282, 290,          -- enUS = [Transmute: Arcanite]
    17559, L["17559"], 275, 275, 282, 290,          -- enUS = [Transmute: Air to Fire]
    17560, L["17560"], 275, 275, 282, 290,          -- enUS = [Transmute: Fire to Earth]
    17561, L["17561"], 275, 275, 282, 290,          -- enUS = [Transmute: Earth to Water]
    17562, L["17562"], 275, 275, 282, 290,          -- enUS = [Transmute: Water to Air]
    17563, L["17563"], 275, 275, 282, 290,          -- enUS = [Transmute: Undeath to Water]
    17564, L["17564"], 275, 275, 282, 290,          -- enUS = [Transmute: Water to Undeath]
    17565, L["17565"], 275, 275, 282, 290,          -- enUS = [Transmute: Life to Earth]
    17566, L["17566"], 275, 275, 282, 290,          -- enUS = [Transmute: Earth to Life]
    13446, L["13446"], 275, 290, 310, 330,          -- enUS = [Major Healing Potion]
    13453, L["13453"], 275, 290, 310, 330,          -- enUS = [Elixir of Brute Force]
    20007, L["20007"], 275, 290, 310, 330,          -- enUS = [Mageblood Potion]
    20002, L["20002"], 275, 290, 310, 330,          -- enUS = [Greater Dreamless Sleep Potion]
    13455, L["13455"], 280, 295, 315, 335,          -- enUS = [Greater Stoneshield Potion]
    13452, L["13452"], 280, 295, 315, 335,          -- enUS = [Elixir of the Mongoose]
    13462, L["13462"], 285, 300, 320, 340,          -- enUS = [Purification Potion]
    13454, L["13454"], 285, 300, 320, 340,          -- enUS = [Greater Arcane Elixir]
    20008, L["20008"], 285, 300, 320, 340,          -- enUS = [Living Action Potion]
    13457, L["13457"], 290, 305, 325, 345,          -- enUS = [Greater Fire Protection Potion]
    13456, L["13456"], 290, 305, 325, 345,          -- enUS = [Greater Frost Protection Potion]
    13458, L["13458"], 290, 305, 325, 345,          -- enUS = [Greater Nature Protection Potion]
    13461, L["13461"], 290, 305, 325, 345,          -- enUS = [Greater Arcane Protection Potion]
    13459, L["13459"], 290, 305, 325, 345,          -- enUS = [Greater Shadow Protection Potion]
    20004, L["20004"], 290, 305, 325, 345,          -- enUS = [Major Troll's Blood Potion]
    13444, L["13444"], 295, 310, 330, 350,          -- enUS = [Major Mana Potion]
    25146, L["25146"], 300, 301, 305, 310,          -- enUS = [Transmute: Elemental Fire]
    18253, L["18253"], 300, 310, 320, 330,          -- enUS = [Major Rejuvenation Potion]
    13503, L["13503"], 300, 315, 322, 330,          -- enUS = [Alchemist's Stone]
    13506, L["13506"], 300, 315, 322, 330,          -- enUS = [Flask of Petrification]
    13510, L["13510"], 300, 315, 322, 330,          -- enUS = [Flask of the Titans]
    13511, L["13511"], 300, 315, 322, 330,          -- enUS = [Flask of Distilled Wisdom]
    13512, L["13512"], 300, 315, 322, 330,          -- enUS = [Flask of Supreme Power]
    13513, L["13513"], 300, 315, 322, 330,          -- enUS = [Flask of Chromatic Resistance]
    19931, L["19931"], 300, 315, 322, 330,          -- enUS = [Gurubashi Mojo Madness]    Is this skill right ???? https://classic.wowhead.com/item=19931

}
-- ************************************************************
-- ********* Table with all herbs and skills to gather ********
-- ************************************************************

local MatsID = {

    2447, L["2447"], 1, 25, 50, 100,                -- enUS = [Peacebloom]
    765, L["765"], 1, 25, 50, 100,                  -- enUS = [Silverleaf]
    2449, L["2449"], 15, 40, 65, 115,               -- enUS = [Earthroot]
    785, L["785"], 50, 75, 100, 150,                -- enUS = [Mageroyal]
    2450, L["2450"], 70, 95, 120, 170,              -- enUS = [Briarthorn]
    2452, L["2452"], 50, 95, 120, 170,              -- enUS = [Swifthistle]
    3820, L["3820"], 85, 110, 135, 185,             -- enUS = [Stranglekelp]
    2453, L["2453"], 100, 125, 150, 200,            -- enUS = [Bruiseweed]
    3355, L["3355"], 115, 140, 165, 215,            -- enUS = [Wild Steelbloom]
    3369, L["3369"], 120, 154, 170, 220,            -- enUS = [Grave Moss]
    3356, L["3356"], 125, 150, 175, 225,            -- enUS = [Kingsblood]
    3357, L["3357"], 150, 175, 200, 250,            -- enUS = [Liferoot]
    3818, L["3818"], 160, 185, 210, 260,            -- enUS = [Fadeleaf]
    3821, L["3821"], 170, 195, 220, 270,            -- enUS = [Goldthorn]
    3358, L["3358"], 185, 210, 235, 285,            -- enUS = [Khadgar's Whisker]
    3819, L["3819"], 195, 220, 245, 295,            -- enUS = [Wintersbite]
    4625, L["4625"], 205, 230, 255, 305,            -- enUS = [Firebloom]
    8831, L["8831"], 210, 235, 260, 310,            -- enUS = [Purple Lotus]
    8153, L["8153"], 210, 235, 260, 310,            -- enUS = [Wildvine]
    8836, L["8836"], 220, 245, 270, 320,            -- enUS = [Arthas' Tears]
    8838, L["8838"], 230, 255, 280, 330,            -- enUS = [Sungrass]
    8839, L["8839"], 235, 260, 285, 335,            -- enUS = [Blindweed]
    8845, L["8845"], 245, 270, 295, 345,            -- enUS = [Ghost Mushroom]
    8846, L["8846"], 250, 275, 300, 350,            -- enUS = [Gromsblood]
    13464, L["13464"], 260, 285, 310, 360,          -- enUS = [Golden Sansam]
    13463, L["13463"], 270, 295, 320, 370,          -- enUS = [Dreamfoil]
    13465, L["13465"], 280, 305, 330, 380,          -- enUS = [Mountain Silversage]
    13466, L["13466"], 285, 310, 335, 385,          -- enUS = [Plaguebloom]
    13467, L["13467"], 290, 315, 340, 390,          -- enUS = [Icecap]
    13468, L["13468"], 300, 325, 350, 400,          -- enUS = [Black Lotus]

-- ************************************************************
-- **************** All the Vial's in the game ****************
-- ************************************************************

    3371, L["3371"], 0, 0, 0, 0,                -- enUS = [Empty Vial]
    3372, L["3372"], 0, 0, 0, 0,                -- enUS = [Leaded Vial]
    8925, L["8925"], 0, 0, 0, 0,                -- enUS = [Crystal Vial]
    18256, L["18256"], 0, 0, 0, 0,              -- enUS = [Imbued Vial]

-- ************************************************************
-- ******** All other mats used for Alchemy in the game *******
-- ************************************************************

    6358, L["6358"], 0, 0, 0, 0,              -- enUS = [Oily Blackmouth]
    5635, L["5635"], 0, 0, 0, 0,              -- enUS = [Sharp Claw]
    3164, L["3164"], 0, 0, 0, 0,              -- enUS = [Discolored Worg Heart]
    6359, L["6359"], 0, 0, 0, 0,              -- enUS = [Firefin Snapper]
    6522, L["6522"], 0, 0, 0, 0,              -- enUS = [Deviate Fish]
    3575, L["3575"], 0, 0, 0, 0,              -- enUS = [Iron Bar]
    9262, L["9262"], 0, 0, 0, 0,              -- enUS = [Black Vitriol]
    7972, L["7972"], 0, 0, 0, 0,              -- enUS = [Ichor of Undeath]
    3858, L["3858"], 0, 0, 0, 0,              -- enUS = [Mithril Ore]
    4402, L["4402"], 0, 0, 0, 0,              -- enUS = [Small Flame Sac]
    3860, L["3860"], 0, 0, 0, 0,              -- enUS = [Mithril Bar]
    10620, L["10620"], 0, 0, 0, 0,            -- enUS = [Thorium Ore]
    7076, L["7076"], 0, 0, 0, 0,              -- enUS = [Essence of Earth]



--[[

    , L[""], 0, 0, 0, 0,              -- enUS = []
    , L[""], 0, 0, 0, 0,              -- enUS = []
    , L[""], 0, 0, 0, 0,              -- enUS = []
    , L[""], 0, 0, 0, 0,              -- enUS = []
    , L[""], 0, 0, 0, 0,              -- enUS = []
    , L[""], 0, 0, 0, 0,              -- enUS = []
    , L[""], 0, 0, 0, 0,              -- enUS = []

]]--
}

-- Let's make it available in all files in your addon.
namespace.PotID = PotID
namespace.MatsID = MatsID





















































